Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugSourceLocation

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>
              com.nativelibs4java.mono.MonoDebugSourceLocation

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>>

Direct Known Subclasses:
  MonoDebugSourceLocation.ByReference, MonoDebugSourceLocation.ByValue

    public class MonoDebugSourceLocation

extends Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>

native declaration : mono\metadata\mono-debug.h:95
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugSourceLocation.ByReference`
`static class` | `MonoDebugSourceLocation.ByValue`

Field Summary
`int` | `column`
`int` | `il_offset`
`int` | `row`
`ByteByReference` | `source_file`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugSourceLocation()`
`MonoDebugSourceLocation(ByteByReference source_file, int row, int column, int il_offset)`

Method Summary
`protected MonoDebugSourceLocation.ByReference` | `newByReference()`
`protected MonoDebugSourceLocation.ByValue` | `newByValue()`
`protected MonoDebugSourceLocation` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### source_file

    public ByteByReference source_file

### row

    public int row

### column

    public int column

### il_offset

    public int il_offset

Constructor Detail

### MonoDebugSourceLocation

    public MonoDebugSourceLocation()

### MonoDebugSourceLocation

    public MonoDebugSourceLocation(ByteByReference source_file,
                                   int row,
                                   int column,
                                   int il_offset)

Method Detail

### newByReference

    protected MonoDebugSourceLocation.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>`

### newByValue

    protected MonoDebugSourceLocation.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>`

### newInstance

    protected MonoDebugSourceLocation newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugSourceLocation,MonoDebugSourceLocation.ByValue,MonoDebugSourceLocation.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD